Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 790893 - Review Request: ibus-hunspell-table - Predictive text using hunspell dictionaries
Review Request: ibus-hunspell-table - Predictive text using hunspell dictiona...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daiki Ueno
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-15 11:59 EST by anish
Modified: 2015-04-12 19:12 EDT (History)
5 users (show)

See Also:
Fixed In Version: ibus-hunspell-table-0.0.6-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-02 05:02:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dueno: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description anish 2012-02-15 11:59:03 EST
Spec URL: http://anishpatil.fedorapeople.org/ibus-hunspell-table.spec
SRPM URL: http://anishpatil.fedorapeople.org/ibus-hunspell-table-0.0.1-1.fc15.src.rpm
Description: Predictive text using hunspell dictionaries.
             Currently it supports english language
Comment 1 Daiki Ueno 2012-02-16 01:38:31 EST
The spec file does not match the one included in the SRPM.
Anyway, I use the one in the SRPM.  Here is the review:


 [+]:ok, [=]:needs attention, [-]:needs fixing, [ ]: not applicable

MUST Items:
[+] MUST: rpmlint must be run on every package.

  1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.

  0761d62772f4ddc7ad535305976cd72a65220473  ibus-hunspell-table-0.0.1.tar.gz
  0761d62772f4ddc7ad535305976cd72a65220473  ibus-hunspell-table-0.0.1.tar.gz.upstream

[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[+] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires
[ ] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro.
[ ] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[ ] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[ ] MUST: Header files must be in a -devel package.
[ ] MUST: Static libraries must be in a -static package.
[-] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).

It seems "Requires: ibus" does not pull pkgconfig.

[ ] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[ ] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
[ ] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[ ] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[ ] MUST: Packages must not own files or directories already owned by other packages.
[ ] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[ ] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[ ] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.

It basically works, though I noticed a couple of small oddities:

* I got "IBUS-WARNING **: 15:34:40.628386: <engines> element contains invalidate element <page_size>"

* the engine name in IBus IME menu (on GTK panel) looks like "English - enUS", where "U" is underlined.  I would suggest new label explaining that the engine uses hunspell: how about "English - US (hunspell)"?

[ ] SHOULD: If scriptlets are used, those scriptlets must be sane.
[ ] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[ ] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[ ] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[-] SHOULD: Packages should try to preserve timestamps of original installed files.

Please consider using something like: make INSTALL="install -p
Comment 2 Parag AN(पराग) 2012-02-17 04:39:54 EST
Hi Daiki,
     I guess you need to update your review template. Regarding pkgconfig rule, its been removed long ago. See https://fedoraproject.org/w/index.php?title=Packaging%3AReviewGuidelines&action=historysubmit&diff=160629&oldid=146860

See the approved guidelines draft at https://fedoraproject.org/wiki/Archives:PackagingDrafts/PkgconfigAutoRequires
Comment 3 Daiki Ueno 2012-02-17 09:39:22 EST
(In reply to comment #2)
>      I guess you need to update your review template. Regarding pkgconfig rule,
> its been removed long ago.

Oh, thanks for pointing out this.  I have used:
https://fedoraproject.org/wiki/PackagingDrafts/ReviewTemplate

Anyway, then I would approve this package except the upstream issues and the timestamp thing.
Comment 4 anish 2012-02-18 00:30:44 EST
Thanks Daiki Ueno and Parag for review and comments
Comment 5 anish 2012-02-20 07:49:06 EST
New Package SCM Request
=======================
Package Name: ibus-hunspell-table
Short Description: Predictive text using hunspell dictionaries
Owners: anishpatil
Branches: f16,f15
InitialCC: i18n-team
Comment 6 Gwyn Ciesla 2012-02-20 08:08:57 EST
Git done (by process-git-requests).

Added f17.
Comment 7 Fedora Update System 2012-02-23 00:09:16 EST
ibus-hunspell-table-0.0.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-hunspell-table-0.0.2-1.fc16
Comment 8 Fedora Update System 2012-02-23 00:09:25 EST
ibus-hunspell-table-0.0.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ibus-hunspell-table-0.0.2-1.fc15
Comment 9 Fedora Update System 2012-02-23 00:09:36 EST
ibus-hunspell-table-0.0.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-hunspell-table-0.0.2-1.fc17
Comment 10 Fedora Update System 2012-02-23 17:29:16 EST
ibus-hunspell-table-0.0.2-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2012-03-12 03:05:50 EDT
ibus-hunspell-table-0.0.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-hunspell-table-0.0.3-1.fc16
Comment 12 Fedora Update System 2012-03-12 03:06:19 EDT
ibus-hunspell-table-0.0.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ibus-hunspell-table-0.0.3-1.fc15
Comment 13 Fedora Update System 2012-03-12 03:06:26 EDT
ibus-hunspell-table-0.0.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-hunspell-table-0.0.3-1.fc17
Comment 14 Fedora Update System 2012-03-27 04:47:41 EDT
ibus-hunspell-table-0.0.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-hunspell-table-0.0.4-1.fc16
Comment 15 Fedora Update System 2012-03-27 04:47:52 EDT
ibus-hunspell-table-0.0.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ibus-hunspell-table-0.0.4-1.fc15
Comment 16 Fedora Update System 2012-03-27 04:48:24 EDT
ibus-hunspell-table-0.0.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-hunspell-table-0.0.4-1.fc17
Comment 17 anish 2012-04-02 05:02:05 EDT
ibus hunspell table is build now . Hence closing the bug
Comment 18 Fedora Update System 2012-04-18 15:26:24 EDT
ibus-hunspell-table-0.0.4-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2012-04-18 15:35:53 EDT
ibus-hunspell-table-0.0.4-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2012-04-18 19:02:16 EDT
ibus-hunspell-table-0.0.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2012-05-02 06:26:19 EDT
ibus-hunspell-table-0.0.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-hunspell-table-0.0.6-1.fc16
Comment 22 Fedora Update System 2012-05-02 06:26:36 EDT
ibus-hunspell-table-0.0.6-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ibus-hunspell-table-0.0.6-1.fc15
Comment 23 Fedora Update System 2012-05-02 06:26:53 EDT
ibus-hunspell-table-0.0.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-hunspell-table-0.0.6-1.fc17
Comment 24 Fedora Update System 2012-05-02 16:53:27 EDT
ibus-hunspell-table-0.0.6-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2012-05-18 08:19:57 EDT
ibus-hunspell-table-0.0.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-hunspell-table-0.0.7-1.fc17
Comment 26 Fedora Update System 2012-05-18 08:20:13 EDT
ibus-hunspell-table-0.0.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-hunspell-table-0.0.7-1.fc16
Comment 27 Fedora Update System 2012-05-18 08:20:49 EDT
ibus-hunspell-table-0.0.7-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ibus-hunspell-table-0.0.7-1.fc15

Note You need to log in before you can comment on or make changes to this bug.